Advertisement:

Author Topic: [NEW PLUGIN] Location Required plugin  (Read 18247 times)

trains58554

  • Osclass contributor
  • Hero Member
  • *****
  • Posts: 3642
  • osCanyon, the class of Osclass
[NEW PLUGIN] Location Required plugin
« on: September 15, 2011, 03:48:11 am »
Hi all

This plugin is to make the region and city required when a new ad is posted. All you have to do is upload the plugin and then install the plugin and you are set.

Download over at sourceforge https://sourceforge.net/projects/osclass/files/Plugins/location-required/

Jay
« Last Edit: September 15, 2011, 07:17:27 pm by trains58554 »

Juan Ramón

  • Osclass Developer
  • Hero Member
  • *****
  • Posts: 2382
Re: [NEW PLUGIN] Location Required plugin
« Reply #1 on: September 15, 2011, 02:02:14 pm »
wow, great job @jay!!

I like your plugin and I've done some modifications:
    - Added jquery.metadata.js
    - Now we can set a custom error message to the region and city (thanks to jquery.metadata). See lines 24 and 25: https://github.com/osclass/osclass-plugins/blob/location_required/location_required/index.php
    - I've created the languages files to the two string
    - I've uploaded to the translation backoffice :)

You can download from sourceforge now :) https://sourceforge.net/projects/osclass/files/Plugins/location-required/

trains58554

  • Osclass contributor
  • Hero Member
  • *****
  • Posts: 3642
  • osCanyon, the class of Osclass
Re: [NEW PLUGIN] Location Required plugin
« Reply #2 on: September 15, 2011, 05:39:33 pm »
wow, great job @jay!!

I like your plugin and I've done some modifications:
    - Added jquery.metadata.js
    - Now we can set a custom error message to the region and city (thanks to jquery.metadata). See lines 24 and 25: https://github.com/osclass/osclass-plugins/blob/location_required/location_required/index.php
    - I've created the languages files to the two string
    - I've uploaded to the translation backoffice :)

You can download from sourceforge now :) https://sourceforge.net/projects/osclass/files/Plugins/location-required/

Thanks Juan

The changes work great.

Thanks

Jay

RajaSekar

  • Hero Member
  • *****
  • Posts: 791
  • ராஜசேகர்
Re: [NEW PLUGIN] Location Required plugin
« Reply #3 on: September 15, 2011, 06:29:52 pm »

Hi trains58554

suggestion for inserting i agree license agreement with checkbox

trains58554

  • Osclass contributor
  • Hero Member
  • *****
  • Posts: 3642
  • osCanyon, the class of Osclass
Re: [NEW PLUGIN] Location Required plugin
« Reply #4 on: September 15, 2011, 06:31:18 pm »
Hi RajaSekar

I will look into a license agreement plugin.

Jay

RajaSekar

  • Hero Member
  • *****
  • Posts: 791
  • ராஜசேகர்
Re: [NEW PLUGIN] Location Required plugin
« Reply #5 on: September 15, 2011, 06:32:39 pm »

wow! Nice job

rsaggar

  • Newbie
  • *
  • Posts: 19
Re: [NEW PLUGIN] Location Required plugin
« Reply #6 on: September 15, 2011, 07:14:44 pm »
Works great!!!

sirchunk

  • Jr. Member
  • **
  • Posts: 58
Re: [NEW PLUGIN] Location Required plugin
« Reply #7 on: October 21, 2011, 01:04:30 am »
Hi,

I've installed this plugin but I'm wondering how to get the * next to the labels to indicate that it's a required field?

I've edited item-post.php file, but I can't help thinking there is another/proper way.

trains58554

  • Osclass contributor
  • Hero Member
  • *****
  • Posts: 3642
  • osCanyon, the class of Osclass
Re: [NEW PLUGIN] Location Required plugin
« Reply #8 on: October 21, 2011, 01:40:07 am »
Hi sirchunk

There is no other way that I know of except for what you did. You may want to do the same to item-edit.php as well.

Jay

MaelstromxXx

  • Newbie
  • *
  • Posts: 6
Re: [NEW PLUGIN] Location Required plugin
« Reply #9 on: October 21, 2011, 04:42:20 am »
Thanks guys for the great job. Every Plugin is useful!!

Thanks!

Diablos

  • Full Member
  • ***
  • Posts: 127
Re: [NEW PLUGIN] Location Required plugin
« Reply #10 on: December 11, 2011, 06:22:45 pm »
Doesn't work here http://compro-vendo.org/
(It's installed)

Diablos

  • Full Member
  • ***
  • Posts: 127
Re: [NEW PLUGIN] Location Required plugin
« Reply #11 on: March 05, 2012, 02:34:46 pm »
up, no changes if the plugin in installed or not in my site

Kreator

  • Newbie
  • *
  • Posts: 36
Re: [NEW PLUGIN] Location Required plugin
« Reply #12 on: May 21, 2012, 09:45:11 pm »
to me does not work ,
my site is http://annuncigratuiti.ws/

computerbar

  • Tutor
  • Sr. Member
  • *
  • Posts: 279
Re: [NEW PLUGIN] Location Required plugin
« Reply #13 on: May 22, 2012, 08:22:16 pm »
Hi Jay

I installed it today but it not working in twitter theme.

I checked the plugin index.php and have changed input ids to correct one as follow.

id=region_id
id=city_id

But it still not working as twitter post page has dropdown [Option value=""] region/city selection instead of text box like in modern theme
what else need to be done to the below script (to see if value="" then Error messages ) to make it work in twitter theme

$('input[id="region_id"]').addClass("{required: true, messages: { required: '<?php _e("Region is required", "location_required") ; ?>' } }") ;

thanks

sprite

  • Newbie
  • *
  • Posts: 10
Re: [NEW PLUGIN] Location Required plugin
« Reply #14 on: July 05, 2012, 04:11:09 pm »
Does not work to me. :(
I've installed this plugin but there is no "*" next to label and everybody can post ad without city.
Do I need to manual edit any files too or how can I make it work?
can somebody help me please
Code: [Select]
http://greatclassifieds.tk/
thanks in advance
« Last Edit: July 05, 2012, 04:19:10 pm by sprite »